## xbanish 1.7

=== Makefile ===
# vim:ts=8

CC	?= cc
CFLAGS	?= -O2
CFLAGS	+= -Wall -Wunused -Wmissing-prototypes -Wstrict-prototypes -Wunused

PREFIX	?= /usr/local
BINDIR	?= $(PREFIX)/bin
MANDIR	?= $(PREFIX)/man/man1

INSTALL_PROGRAM ?= install -s
INSTALL_DATA ?= install

X11BASE	?= /usr/X11R6
INCLUDES?= -I$(X11BASE)/include
LDPATH	?= -L$(X11BASE)/lib
LIBS	+= -lX11 -lXfixes -lXi

PROG	= xbanish
OBJS	= xbanish.o

all: $(PROG)

$(PROG): $(OBJS)
	$(CC) $(OBJS) $(LDPATH) $(LIBS) -o $@

$(OBJS): *.c
	$(CC) $(CFLAGS) $(INCLUDES) -c $< -o $@

install: all
	mkdir -p $(DESTDIR)$(BINDIR)
	$(INSTALL_PROGRAM) $(PROG) $(DESTDIR)$(BINDIR)
	mkdir -p $(DESTDIR)$(MANDIR)
	$(INSTALL_DATA) -m 644 xbanish.1 $(DESTDIR)$(MANDIR)/xbanish.1

clean:
	rm -f $(PROG) $(OBJS)

.PHONY: all install clean

=== debian/changelog ===
xbanish (1.7-2) unstable; urgency=medium

  * Removed README.debian.
  * Added flags for hardening.
  * Fixed cross building.  (Closes: #983234)

 -- Scupake <scupake@riseup.net>  Fri, 26 Feb 2021 13:57:05 +0100

xbanish (1.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No-change rebuild on the buildds.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 06 Feb 2021 13:19:13 +0100

xbanish (1.7-1) unstable; urgency=low

  * Initial release (Closes: #981140)

 -- Scupake <scupake@riseup.net>  Tue, 26 Jan 2021 20:36:05 +0100

=== debian/control ===
Source: xbanish
Section: x11
Priority: optional
Maintainer: Scupake <scupake@riseup.net>
Build-Depends: debhelper-compat (= 12), x11proto-dev, libx11-dev, libxt-dev, libxfixes-dev, libxi-dev
Standards-Version: 4.5.0
Vcs-Browser: https://codeberg.org/Scupake/xbanish-deb
Vcs-Git: https://codeberg.org/Scupake/xbanish-deb.git
Homepage: https://github.com/jcs/xbanish
Rules-Requires-Root: no

Package: xbanish
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
	 ${shlibs:Depends}
Description: banish the mouse cursor when typing, show it again when the mouse moves
 xbanish hides the mouse cursor when you start typing, and shows it again when
 the mouse cursor moves or a mouse button is pressed. This is similar to
 xterm's pointerMode setting, but xbanish works globally in the X11 session.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/xbanish-$1\.tar\.gz/ \
  https://github.com/jcs/xbanish/tags .*/v?(\d\S+)\.tar\.gz

## xbanish 1.8

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 X11BASE	?= /usr/X11R6
 INCLUDES?= -I$(X11BASE)/include
 LDPATH	?= -L$(X11BASE)/lib
-LIBS	+= -lX11 -lXfixes -lXi
+LIBS	+= -lX11 -lXfixes -lXi -lXext
 
 PROG	= xbanish
 OBJS	= xbanish.o

=== debian/changelog ===
xbanish (1.8-1) unstable; urgency=medium

  * Updated xbanish to 1.8

 -- Scupake <scupake@riseup.net>  Sat, 16 Apr 2022 22:22:44 +0100

xbanish (1.7-2.1) unstable; urgency=low

  * Changed Standards-Version to 4.5.1

 -- Scupake <scupake@riseup.net>  Thu, 3 Mar 2021 21:12:03 +0100

=== debian/control ===
Source: xbanish
Section: x11
Priority: optional
Maintainer: Scupake <scupake@riseup.net>
Build-Depends: debhelper-compat (= 12),
               libx11-dev,
               libxfixes-dev,
               libxi-dev,
               libxt-dev,
               x11proto-dev
Standards-Version: 4.5.1
Vcs-Browser: https://codeberg.org/Scupake/xbanish-deb
Vcs-Git: https://codeberg.org/Scupake/xbanish-deb.git
Homepage: https://github.com/jcs/xbanish
Rules-Requires-Root: no

Package: xbanish
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: banish the mouse cursor when typing, show it again when the mouse moves
 xbanish hides the mouse cursor when you start typing, and shows it again when
 the mouse cursor moves or a mouse button is pressed. This is similar to
 xterm's pointerMode setting, but xbanish works globally in the X11 session.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@
